/*Copyright (C) 2006  Jean-Franois Geyelin*/

// C Source File
// Created 4/10/2006; 4:45:01 PM

#include "All.h"

/*
	Draw the about screen and wait for a key press
*/
void drawAbout() {
	memcpy(allocatedMem->buffer,LCD_MEM,LCD_SIZE);
	char pattern[]={
	0b11001100,
	0b11001100,	
	0b00110011,	
	0b00110011,		
	0b11001100,
	0b11001100,	
	0b00110011,	
	0b00110011};	
	ClrScr();
	short i;
	for (i=14;i<118;i+=8) {
		Tile8x8_RPLC_R(5,i,pattern,LCD_MEM);		
		Tile8x8_RPLC_R(24,i,pattern,LCD_MEM);
	}
	for (i=5;i<25;i++) {
		Tile8x8_RPLC_R(i,14+0,pattern,LCD_MEM);
		Tile8x8_RPLC_R(i,14+104-8,pattern,LCD_MEM);		
	}

	FontSetSys(0);
	const char *str[] = {
		
		"   Kartingz v1.0",
		"",
		"By JF Geyelin & Onur Celebi",
		"",
		"To steer, press [\x11] and [\x12]",
		"To accelerate, press [2ND] or [HAND]",
		"To brake, press [\x14]",
		"To skid, press [\x7f] or [Q]",
		"To pause/quit, press [ESC]"
	};
	#define nLines	9
	for (i=nLines;i--;)
	DrawStr(50,34+8*i,str[i],A_NORMAL);
	#undef nLines
	if (TI89)
	memmove(LCD_MEM,LCD_MEM+5+16*30,100*30);	
	while (_keytest(RR_ENTER)) ;
	while (!_keytest(RR_ENTER)) ;
	while (_keytest(RR_ENTER));
	memcpy(LCD_MEM,allocatedMem->buffer,LCD_SIZE);
	memset(allocatedMem->buffer,0,LCD_SIZE);
}