/*Copyright (C) 2006  Jean-Franois Geyelin*/

// C Source File
// Created 7/24/2006; 6:48:59 PM

#include "All.h"

/*

*/
void pauseGame() {
	if (!_keytest(RR_ESC))
	return;
	#define H	27
	#define W	8
	
	unsigned char *src=LCD_MEM+(((LCD_HEIGHT-H)>>1)*30+((LCD_LINE_BYTES-W)>>1))-!(TI89);

	FastOutlineRect_R(src,0,0,(W*8),H,A_NORMAL);
	PortSet (src, 239, 127);
	FontSetSys(0);
	int choice = 0;
	int update = 1;
	const char *s[] = {"\x12Return to game","\x12Quit race"};
	while (!_keytest(RR_ENTER)) {
		
		if (_keytest(RR_UP) && choice) {
			choice = 0;
			update = 1;
		}
		if (_keytest(RR_DOWN) && !choice) {
			choice = 1;
			update = 1;
		}
		if (update) {
			update = 0;
			FastFillRect_R(src,1,1,(W*8)-1,H-1,A_REVERSE);	
			DrawStr(4,8,s[0]+choice,A_NORMAL);
			DrawStr(4,16,s[1]+!choice,A_NORMAL);
		}
	}
	PortRestore();

	if (choice)
	allocatedMem->p.hasFinishedRacing = TRUE;
	
}